Download it now!
Bug 134959 - Navigator doesn't scroll to page entered if the cursor is at that page already
Summary: Navigator doesn't scroll to page entered if the cursor is at that page already
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2020-07-19 14:40 UTC by Telesto
Modified: 2020-07-30 09:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (188.28 KB, application/vnd.oasis.opendocument.text)
2020-07-19 14:41 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-19 14:40:50 UTC
Description:
Navigator doesn't scroll to page entered if the cursor is at that page already

Steps to Reproduce:
1. Open the attached file
1a. Open sidebar navigator deck
2. Scroll to page 4 or CTRL+END
3. Place cursor somewhere on page 4
4. Scroll up using scroll wheel or dragging scrollbar up
5. Type 4 for navigator page number & press Enter ->Nothng

Actual Results:
Nothing happens

Expected Results:
Scrolling to page 4


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
7.1

but not in
Version: 6.2.4.0.0+
Build ID: 915ec0b5f5ce9a2da6a51f5278ea4faaffa19839
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2020-07-19 14:41:02 UTC
Created attachment 163278 [details]
Example file
Comment 2 Bob Vo 2020-07-22 02:03:07 UTC
Thank you for reporting the bug. I can confirm that the bug is present in

[the LibreOffice version details you tested with (can be copied from the Help ▸ About LibreOffice dialog)]
Comment 3 Attila Baraksó (NISZ) 2020-07-27 17:33:31 UTC
Bibisected using linux-64-7.0 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=e3b14639dca24f5ca559044651d2140f8f4a0e74
author: Caolán McNamara <caolanm@redhat.com>
committer: Caolán McNamara <caolanm@redhat.com>
summary: focus getting stuck in the navigator spinbutton

Adding CC: Caolán McNamara
Comment 4 Commit Notification 2020-07-28 14:25:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/50b36951dbf080509c49bf326131afb8c2390d2d

tdf#134959 move focus on activate, but leave focus on value-changed

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-28 14:26:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/021019e0310363daed12d4a006e1785e3184c33e

tdf#134959 move focus on activate, but leave focus on value-changed

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-07-30 09:22:13 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!